MsWks3TextInternal::LineZone Struct Reference

Internal: header zone. More...

## Public Member Functions

| LineZone ()
| the constructor
bool | isNote () const
| return true if this is a note
bool | isRuler () const
| return true if this is a tabs

## Public Attributes

int | m_type
| the type
MWAWEntry | m_pos
| the file position
int | m_id
| the id
int | m_flags
| the zone flags
int | m_height
| the height

## Friends

std::ostream & | operator<< (std::ostream &o, LineZone const &z)
| operator<<

## Detailed Description

Internal: header zone.

## Constructor & Destructor Documentation

## LineZone()

MsWks3TextInternal::LineZone::LineZone | ( |  | ) |

inline

the constructor

Referenced by operator<<.

## Member Function Documentation

## isNote()

bool MsWks3TextInternal::LineZone::isNote | ( |  | ) | const

inline

return true if this is a note

Referenced by MsWks3Text::createZones(), and MsWks3Text::sendText().

## isRuler()

bool MsWks3TextInternal::LineZone::isRuler | ( |  | ) | const

inline

return true if this is a tabs

## Friends And Related Symbol Documentation

## operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | LineZone const & | z )

friend

operator<<

## Member Data Documentation

## m_flags

int MsWks3TextInternal::LineZone::m_flags

the zone flags

Referenced by LineZone(), operator<<, and MsWks3Text::readZoneHeader().

## m_height

int MsWks3TextInternal::LineZone::m_height

the height

Referenced by LineZone(), operator<<, MsWks3Text::readZoneHeader(), and MsWks3Text::sendText().

## m_id

int MsWks3TextInternal::LineZone::m_id

the id

Referenced by LineZone(), operator<<, and MsWks3Text::readZoneHeader().

## m_pos

MWAWEntry MsWks3TextInternal::LineZone::m_pos

the file position

Referenced by MsWks3Text::createZones(), LineZone(), MsWks3Text::readParagraph(), MsWks3Text::readZoneHeader(), and MsWks3Text::sendText().

## m_type

int MsWks3TextInternal::LineZone::m_type

the type

Referenced by isNote(), isRuler(), LineZone(), operator<<, and MsWks3Text::readZoneHeader().

The documentation for this struct was generated from the following file:

- MsWks3Text.cxx